### File

`src/datablock-view/datablock-view.component.ts`

### Implements

`AfterViewInit`

### Metadata

selector | `datablock-view`
styleUrls | `datablock-view.component.scss`
templateUrl | `./datablock-view.component.html`

### Index

###### Properties
datablockViewContent
###### Methods
Public center Public each Public getReadyDatablockView Public redrawMap Public resetZoom Public update
###### Inputs
afterRender afterUpdate code config cssClasses customFunction data datablock datablockView dataEmptyHtml dataEmptyMessage disableGlobalData displayChartWhenDataEmpty displayChartWhenLoading drawText filter htmlTemplate id lib loaderHTML onClick onMouseEnter onMouseLeave onMouseOut onMouseOver onZoomChange taskCode

### Constructor

`constructor(sdkConfig: SdkConfigService, compilerService: CompilerService)`
Constructor. Generates the div identifier. Parameters :
Name | Type | Optional
sdkConfig | `SdkConfigService` | no
compilerService | `CompilerService` | no

### Inputs

`afterRender` | Type: `AfterRenderCallback` Default value: `null`

`afterUpdate` | Type: `AfterUpdateCallback` Default value: `null`

`code` | Type: `string` Default value: `''`

`config` | Type: `any` Default value: `null`

`cssClasses` | Type: `CssClassesCallback` Default value: `null`

`customFunction` | Type: `Function | string` Default value: `null`

`data` | Type: `Array<any>` Default value: `null`

`datablock` | Type: `Datablock` Default value: `null`

`datablockView` | Type: `DatablockView` Default value: `null`

`dataEmptyHtml` | Type: `string` Default value: `null`

`dataEmptyMessage` | Type: `string` Default value: `''`

`disableGlobalData` | Type: `boolean` Default value: `null`

`displayChartWhenDataEmpty` | Type: `boolean` Default value: `false`

`displayChartWhenLoading` | Type: `boolean` Default value: `false`

`drawText` | Type: `DrawTextCallback` Default value: `null`

`filter` | Type: `FilterCallback` Default value: `null`

`htmlTemplate` | Type: `string` Default value: `''`

`id` | Type: `string` Default value: `''`

`lib` | Type: `string` Default value: `null`

`loaderHTML` | Type: `string` Default value: `''`

`onClick` | Type: `OnCallback` Default value: `null`

`onMouseEnter` | Type: `OnCallback` Default value: `null`

`onMouseLeave` | Type: `OnCallback` Default value: `null`

`onMouseOut` | Type: `OnCallback` Default value: `null`

`onMouseOver` | Type: `OnCallback` Default value: `null`

`onZoomChange` | Type: `OnZoomChangeCallback` Default value: `null`

`taskCode` | Type: `string` Default value: `null`

### Methods

Public center
`center(id: string)`
Calls the datablock view's center(). Waits for the datablock view to be initialized. Parameters :
Name | Type | Optional
id | `string` | no
Returns : `void`

Public each
`each(callback: EachCallback)`
Calls the datablock view's each(). Waits for the datablock view to be initialized. Parameters :
Name | Type | Optional
callback | `EachCallback` | no
Returns : `void`

Public getReadyDatablockView
`getReadyDatablockView()`
Returns an Observable that completes when datablockView is initialized Returns : `Observable<DatablockView>`

Public redrawMap
`redrawMap()`
Calls the datablock view's redrawMap(). Waits for the datablock view to be initialized. Returns : `void`

Public resetZoom
`resetZoom()`
Calls the datablock view's resetZoom(). Waits for the datablock view to be initialized. Returns : `void`

Public update
`update()`
Calls the datablock view's update(). Waits for the datablock view to be initialized. Returns : `void`

### Properties

datablockViewContent
`datablockViewContent: `ViewContainerRef``
Type : `ViewContainerRef`
Decorators : `ViewChild`

# results matching ""

# No results matching ""